### Signal

# WebKit2WebExtension WebExtension::user-message-received

since: 2.28

#### Declaration

    void
    user_message_received (
      WebKitWebExtension* self,
      WebKitUserMessage* message,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a `WebKitUserMessage` is received from the `WebKitWebContext` corresponding to `extension`. Messages sent by `WebKitWebContext` are always broadcasted to all `WebKitWebExtension`s and they can’t be replied to. Calling `webkit_user_message_send_reply()` will do nothing.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.28

#### Parameters

`message`

  Type: `WebKitUserMessage`

  The `WebKitUserMessage` received.

  The data is owned by the caller of the function.